### How to resize a guest VM disk

1. Resize the virtual disk image
  - On Proxmox: `qm resize <vmid> <disk id> <new size>`
    - e.g. `qm resize 132 scsi0 100G` will set the disk image size to 100G
    - On modern Linux guests (kernel >3.6) no need to reboot the guest
3. Steps inside the guest
  - for LVM:
    1. Grow the partition:
       - fdisk <device>
       - list partitions with `p`, make note of the start sector
       - delete the partition to grow
       - create new partition, make sure to use same start sector
       - Use the same partition type signature
       - write partition table
    2. Resize the physical volume:
       - List physical volumes with `pvs`
       - `pvresize <PV>`, e.g. `pvresize /dev/sda2`
    3. Resize the logical volume:
       - List logical volumes with `lvs`
       - To grow and resize the filesyste,:
         `lvresize -r -l+100%FREE /dev/xxx/yyyy`
    